Bug 451761 - (CVE-2008-2713) CVE-2008-2713 clamav: DoS / crash via crafted petite file
CVE-2008-2713 clamav: DoS / crash via crafted petite file
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=osssecurity,reported=20080615,...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 03:58 EDT by Tomas Hoger
Modified: 2016-03-01 04:28 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.92.1-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-17 10:17:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-06-17 03:58:49 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-2713 to the following vulnerability:

libclamav/petite.c in ClamAV before 0.93.1 allows remote attackers to cause a
denial of service via a crafted Petite file that triggers an out-of-bounds
read.

Fixed in upstream: 0.93.1

Upstream bug report:
https://wwws.clamav.net/bugzilla/show_bug.cgi?id=1000

Upstream patch:
http://svn.clamav.net/websvn/diff.php?repname=clamav-devel&path=/branches/0.93/libclamav/petite.c&rev=3886

References:
http://www.openwall.com/lists/oss-security/2008/06/15/2
http://www.securityfocus.com/bid/29750

Should affect Fedora and EPEL clamav versions.
Comment 1 Fedora Update System 2008-06-17 17:10:11 EDT
clamav-0.93.1-1.fc9 has been submitted as an update for Fedora 9
Comment 2 Fedora Update System 2008-06-20 15:07:22 EDT
clamav-0.93.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-07-15 08:20:47 EDT
clamav-0.92.1-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clamav'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6422
Comment 4 Fedora Update System 2008-07-17 10:17:01 EDT
clamav-0.92.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.